---
title: Get
url: https://www.tines.com/stories/docs/api/records/artifacts/get/
updated: 2026-07-13T14:23:31+00:00
description: "An Artifact (large text) field stores extended content — such as raw logs or large data dumps — that doesn't fit inside a standard record field. See [Records](https://www.tines.com/docs/records/) in the Tines docs to learn more."
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/stories/docs/llms.txt) › [Tines API](https://www.tines.com/stories/docs/api/llms.txt) › [Records](https://www.tines.com/llm/stories/docs/api/records.md) › [Artifacts](https://www.tines.com/llm/stories/docs/api/records/artifacts.md)*

# Get

*[View on tines.com](https://www.tines.com/stories/docs/api/records/artifacts/get/)*

## Description

An Artifact (large text) field stores extended content — such as raw logs or large data dumps — that doesn't fit inside a standard record field. See [Records](https://www.tines.com/docs/records/) in the Tines docs to learn more.

Retrieve an individual record artifact (large text field).

By default, the [GET Records API](/api/records/get) and [List Records API](/api/records/list) return only the ID of an Artifact (large text) field, not the data itself. To access the actual contents, either pass `resolve_artifacts=true` on the [GET Records API](/api/records/get) to inline the contents in the response, or make a separate request to this endpoint using the artifact ID as the `artifact_id` parameter.

## Request

HTTP Method: **GET**

| Path parameter | Description                |
| -------------- | -------------------------- |
| record_id      | ID of the record.          |
| artifact_id    | ID of the record artifact. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/records/<<record_id>>/artifacts/<<artifact_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a record artifact.

### Field description

| Parameter    | Description                                                                            |
| ------------ | -------------------------------------------------------------------------------------- |
| id           | The record artifact ID.                                                                |
| value        | The record artifact's value.                                                           |
| record_field | JSON containing the id and name of the record field.                                   |
| created_at   | ISO 8601 timestamp representing the creation date and time of the record artifact.     |
| updated_at   | ISO 8601 timestamp representing the last updated date and time of the record artifact. |

### Sample response

```json
{
  "id": 1,
  "value": "artifact value",
  "record_field": {
    "id": 1,
    "name": "record field name"
  },
  "created_at": "2024-02-16T15:37:39Z",
  "updated_at": "2024-02-16T15:37:39Z"
}
```
